> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1teams



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/teams
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/teams:
    post:
      tags:
        - UserTeams
      operationId: teams.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 255
              required:
                - name
      responses:
        '200':
          description: '`UserTeamData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/UserTeamData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UserTeamData:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        created_at:
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/TeamMetaData'
            - type: 'null'
        is_current:
          type: boolean
          default: false
        balance:
          type:
            - number
            - 'null'
        currency:
          type:
            - string
            - 'null'
        role:
          type:
            - string
            - 'null'
        members_count:
          type:
            - integer
            - 'null'
      required:
        - id
        - name
        - created_at
        - meta
        - is_current
        - currency
        - role
        - members_count
      title: UserTeamData
    TeamMetaData:
      type: object
      properties:
        seller:
          anyOf:
            - $ref: '#/components/schemas/TeamSellerData'
            - type: 'null'
        default_timezone:
          type:
            - string
            - 'null'
        green_invoice_client_id:
          type:
            - string
            - 'null'
        onboarding:
          type:
            - array
            - 'null'
          items:
            type: string
        voice_lead_submitter:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - seller
        - default_timezone
        - green_invoice_client_id
        - onboarding
        - voice_lead_submitter
      title: TeamMetaData
    TeamSellerData:
      type: object
      properties:
        margin_type:
          anyOf:
            - $ref: '#/components/schemas/SmsMarginTypeEnum'
            - type: 'null'
        margin_value:
          type:
            - string
            - 'null'
          default: 30
      required:
        - margin_type
        - margin_value
      title: TeamSellerData
    SmsMarginTypeEnum:
      type: string
      enum:
        - percentage
        - fixed
      title: SmsMarginTypeEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````